Summary: A tool for fast remote command execution
Name: fsh
Version: 1.2
Release: 5
License: GPL
URL: http://www.lysator.liu.se/fsh/ 
Group: Applications/Internet
Source: http://www.lysator.liu.se/fsh/fsh-%{version}.tar.gz
Source1: README.ssh-over-fsh
Patch1: fsh-1.2-client-reuse.patch
BuildRoot: %_tmppath/%{name}-%{version}-root
BuildRequires: python

%description 
Remote command execution via a cryptographically strong method such as
lsh or ssh is often painfully slow, especially if either of the
involved computers is slow. The biggest problem is that the client and
the server perform a lot of complex calculations during connection
establishment.

fsh uses lsh or ssh to establish a secure tunnel to the remote
system. This takes as long as a normal connection establishment, but
once the tunnel is established, fsh can reuse it to start new sessions
on the remote system almost instantaneously. You get the security of
ssh and the speed of rsh.

Note that fsh is going to be obsoleted by OpenSSH itself. The OpenSSH
daemon has supported multiple shell channels over the same connection
for a long time, and since OpenSSH 3.9, the client is starting to
support it too -- See the documentation of the new ControlMaster 
and ControlSocket options.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch1 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
cp $RPM_SOURCE_DIR/README.ssh-over-fsh .

# Compile to bytecode before shipping.
/usr/bin/python -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 3, "/", 1)'

%post
/sbin/install-info %{_infodir}/fsh.info.gz %{_infodir}/dir

%preun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/fsh.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.DEVO RELEASING
%doc THANKS TODO README.ssh-over-fsh
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}/
%{_infodir}/*

%changelog
* Mon Sep 20 2004 David Woodhouse <dwmw2@redhat.com> 1.2-5
- Apply Jim Blandy's patch to fix session reuse. Fixes #132659

* Tue Aug 31 2004 David Woodhouse <dwmw2@redhat.com> 1.2-4
- Fix Group: tag, install info file correctly. Fixes #131271

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jul 18 2003 David Woodhouse <dwmw2@redhat.com> 1.2-1
- new package
